#include<stdio.h>
int  d[50];
int  minh[50][1010];

/*
 * minh[i][h] = lowest max height above ground to be at height h
 *             after distances d[0]..d[i]
 */

int min(int a, int b) { return a > b ? b : a; }
int max(int a, int b) { return a < b ? b : a; }
const int infty = 1000000000;
	     
void solve()
{
  int i,j,h,m;
  int tot = 0;
  scanf("%d", &m);
  
  for (i = 0; i < m; ++i) {
    scanf("%d", d+i);
    tot += d[i];
  }
  
  for (i = 0; i < m; ++i)
    for (j = 0; j <= tot; ++j)
      minh[i][j] = infty;
  
  minh[m-1][d[m-1]] = d[m-1];
  for (i =m-2; i >= 0; --i)
    for (h = 0; h <= tot; ++h) 
      if (minh[i+1][h] != infty) {
	if (h >= d[i])  // try climbing down
	  minh[i][h-d[i]] = min(minh[i+1][h], minh[i][h-d[i]]);
	// try climbing up
	minh[i][h+d[i]] = min(minh[i][h+d[i]], max(minh[i+1][h], h+d[i]));
      }

  if (minh[0][0] == infty) 
    printf("IMPOSSIBLE\n");
  else {
    h = 0;
    for (i = 0; i < m-1; ++i) 
      if (minh[i+1][h+d[i]] <= minh[0][0]) {
	putchar('U');
	h += d[i];
      }
      else {
	putchar('D');
	h -= d[i];
      }
    printf("D\n");
  }
}

int  main()
{
  int n;
  for (scanf("%d", &n); n > 0; --n)  solve();
  return 0;
}
